#define XERR "cron"
#include "cron.ih"

    // by daemon/daemon1.cc

Cron::Cron(string const &passphrase)
:
    d_options(Options::instance()),
    d_passphrase(hmac(passphrase))
{
    if (not load(d_options.cronFile()))             // load the cron file
        fmsg << "terminating " << d_options.basename() << noid;
}
